export class FrozenFriendsYumeFeatures1783149000000 {
    name = "FrozenFriendsYumeFeatures1783149000000";
    async up(queryRunner) {
        await queryRunner.query(`ALTER TABLE "user_emoji" ADD "glyph" boolean NOT NULL DEFAULT false`);
        await queryRunner.query(`ALTER TABLE "user_profile" ADD "allowCalls" boolean NOT NULL DEFAULT true`);
        await queryRunner.query(`ALTER TABLE "user_profile" ADD "symbolFileId" character varying(32)`);
        await queryRunner.query(`ALTER TABLE "user_group" ADD "username" character varying(64)`);
        await queryRunner.query(`ALTER TABLE "user_group" ADD "allowCalls" boolean NOT NULL DEFAULT true`);
        await queryRunner.query(`ALTER TABLE "user_group" ADD "iconFileId" character varying(32)`);
        await queryRunner.query(`ALTER TABLE "user_group" ADD "symbolFileId" character varying(32)`);
        await queryRunner.query(`CREATE UNIQUE INDEX "IDX_user_group_username" ON "user_group" ("username") WHERE "username" IS NOT NULL`);
        await queryRunner.query(`ALTER TABLE "note" ADD "viewCount" integer NOT NULL DEFAULT 0`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE "note" DROP COLUMN "viewCount"`);
        await queryRunner.query(`DROP INDEX "public"."IDX_user_group_username"`);
        await queryRunner.query(`ALTER TABLE "user_group" DROP COLUMN "symbolFileId"`);
        await queryRunner.query(`ALTER TABLE "user_group" DROP COLUMN "iconFileId"`);
        await queryRunner.query(`ALTER TABLE "user_group" DROP COLUMN "allowCalls"`);
        await queryRunner.query(`ALTER TABLE "user_group" DROP COLUMN "username"`);
        await queryRunner.query(`ALTER TABLE "user_profile" DROP COLUMN "symbolFileId"`);
        await queryRunner.query(`ALTER TABLE "user_profile" DROP COLUMN "allowCalls"`);
        await queryRunner.query(`ALTER TABLE "user_emoji" DROP COLUMN "glyph"`);
    }
}
